Skip to main content
GET
/
api
/
sol
/
perp
/
markets
/
{market_id}
/
candles
Perp OHLCV candles
curl --request GET \
  --url 'https://ca.raze.sh/api/sol/perp/markets/{market_id}/candles?apiKey='
{
  "market_id": "<string>",
  "timeframe": "<string>",
  "data": [
    {
      "timestamp": 123,
      "open": 123,
      "high": 123,
      "low": 123,
      "close": 123,
      "volume_usd": 123,
      "trade_count": 123
    }
  ],
  "count": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.raze.bot/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

apiKey
string
query
required

Path Parameters

market_id
string
required

Venue-prefixed market id (e.g. jup:SOL-PERP).

Query Parameters

timeframe
enum<string>
default:1m
Available options:
1s,
1m,
5m,
15m,
1h,
4h,
1d
from
integer<int64>

Start timestamp (Unix ms).

to
integer<int64>

End timestamp (Unix ms).

limit
integer
default:500
Required range: 1 <= x <= 2000

Response

200 - application/json

Success

market_id
string
timeframe
string
data
object[]
count
integer